Package org.apache.catalina.filters

## Class ExpiresFilter.ExpiresConfiguration

- java.lang.Object
- - org.apache.catalina.filters.ExpiresFilter.ExpiresConfiguration

- Enclosing class:
    ExpiresFilter

      protected static class ExpiresFilter.ExpiresConfiguration
      extends java.lang.Object

  Main piece of configuration of the filter.

  Can be expressed like '`access plus 1 month 15 days 2 hours`'.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpiresConfiguration​(ExpiresFilter.StartingPoint startingPoint, java.util.List<ExpiresFilter.Duration> durations)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<ExpiresFilter.Duration>` | `getDurations()` |
    `ExpiresFilter.StartingPoint` | `getStartingPoint()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpiresConfiguration

          public ExpiresConfiguration​(ExpiresFilter.StartingPoint startingPoint,
                                      java.util.List<ExpiresFilter.Duration> durations)

  - ### Method Detail

    - #### getDurations

          public java.util.List<ExpiresFilter.Duration> getDurations()

    - #### getStartingPoint

          public ExpiresFilter.StartingPoint getStartingPoint()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`